## ros-indigo-ndt-feature-reg 1.0.30

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
set(CMAKE_BUILD_TYPE Release) 
project(ndt_feature_reg)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS cmake_modules rosconsole ndt_registration ndt_map laser_geometry sensor_msgs std_srvs image_geometry cv_bridge image_transport)
catkin_package(
    DEPENDS eigen libpcl-all-dev #mrpt glut libxmu-dev  
    CATKIN_DEPENDS ndt_registration ndt_map laser_geometry sensor_msgs ndt_visualisation std_srvs image_geometry cv_bridge image_transport
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
)

###############################################################################################################################
#NOTE: There are two options for compiling this
#1) 
# In order to fix : 'opencv2/nonfree/features2d.hpp no such file or directory' type of errors add the following pkg.
#
# sudo add-apt-repository --yes ppa:xqms/opencv-nonfree
# sudo apt-get update 
# sudo apt-get install libopencv-nonfree-dev
#
#2) 
#install a local copy of openCV with the non-free modules built
#for ubuntu 14.04, do the following:
#mkdir tmp && cd tmp && wget  https://raw.githubusercontent.com/jayrambhia/Install-OpenCV/master/Ubuntu/2.4/opencv2_4_9.sh
#chmod a+x opencv2_4_9.sh
#edit opencv2_4_9.sh. Add -D WITH_OPENCL=OFF -D BUILD_opencv_nonfree=ON to the cmake command on line 30
#run the script and verify you have installed the opencv library in /usr/local

###############################################################################################################################
set(OpenCV_DIR "/usr/local/")
find_package(OpenCV REQUIRED)
include_directories(${catkin_INCLUDE_DIRS})
ADD_DEFINITIONS(-DLINUX_OS)
include_directories(include)
include_directories(${OpenCV_INCLUDE_DIRS})

find_package(VTK REQUIRED)

include_directories(${Boost_INCLUDE_DIRS})

set (${PROJECT_NAME}_LIB_SRCS
	src/ndt_frame_proc.cpp
	src/ndt_frame.cpp
	src/ndt_frame_viewer.cpp
	)

link_directories(/usr/local/lib)

#uncomment these lines to build project binaries
#add_library(${PROJECT_NAME} ${${PROJECT_NAME}_LIB_SRCS})
#target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
#add_executable(ndt_feature_reg_node src/ndt_feature_reg_node.cc)
#target_link_libraries(ndt_feature_reg_node ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
#add_executable(ndt_feature_eval src/ndt_feature_eval.cc)
#target_link_libraries(ndt_feature_eval ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
#add_executable(ndt_feature_viewer src/ndt_feature_viewer.cc)
#target_link_libraries(ndt_feature_viewer ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${VTK_LIBRARIES} ${OpenCV_LIBRARIES})

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
install(TARGETS #ndt_feature_reg_node ${PROJECT_NAME} ndt_feature_eval
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
       )

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )
install(FILES
   launch/replay_log_TUM_freiburg1_desk_ndt_feature_reg_node.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY eval/
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/eval/
)
install(DIRECTORY src/
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src/
)

=== debian/changelog ===
ros-indigo-ndt-feature-reg (1.0.30-0trusty) trusty; urgency=high

  * added opengl explicit reference
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 08 Oct 2015 22:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.29-0trusty) trusty; urgency=high

  *non-free features from opencv are used, you may need to build from source in ubuntu
  * Contributors: Henrik Andreasson, Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 07 Oct 2015 22:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.28-0trusty) trusty; urgency=high

  * added opengl and image_transport as deps
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.27-0trusty) trusty; urgency=high

  * fixes to package.xml files
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 04 Dec 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.26-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.25-0trusty) trusty; urgency=high

  * fixes for imported packages
  * Contributors: Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Sun, 30 Nov 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.24-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.23-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 24 Nov 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.20-0trusty) trusty; urgency=high

  * refactoring complete, everything compiles
  * Added and updated the old ndt feature registraion based code.
  * Contributors: Henrik Andreasson, Todor Stoyanov

 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 20 Nov 2014 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.19-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 09 Apr 2014 15:41:00 -0000

ros-indigo-ndt-feature-reg (1.0.18-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 09 Apr 2014 14:55:00 -0000

ros-indigo-ndt-feature-reg (1.0.17-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 09 Jan 2014 15:32:00 -0000

ros-indigo-ndt-feature-reg (1.0.16-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 09 Jan 2014 15:26:00 -0000

ros-indigo-ndt-feature-reg (1.0.15-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 09 Jan 2014 15:12:00 -0000

ros-indigo-ndt-feature-reg (1.0.14-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 09 Jan 2014 10:55:00 -0000

ros-indigo-ndt-feature-reg (1.0.13-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Thu, 09 Jan 2014 10:36:00 -0000

ros-indigo-ndt-feature-reg (1.0.12-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 03 Dec 2013 15:58:00 -0000

ros-indigo-ndt-feature-reg (1.0.11-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 03 Dec 2013 10:01:00 -0000

ros-indigo-ndt-feature-reg (1.0.10-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Tue, 03 Dec 2013 09:32:00 -0000

ros-indigo-ndt-feature-reg (1.0.9-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 02 Dec 2013 09:58:00 -0000

ros-indigo-ndt-feature-reg (1.0.8-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Mon, 02 Dec 2013 09:12:00 -0000

ros-indigo-ndt-feature-reg (1.0.7-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 23:00:00 -0000

ros-indigo-ndt-feature-reg (1.0.6-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 19:13:00 -0000

ros-indigo-ndt-feature-reg (1.0.5-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:52:00 -0000

ros-indigo-ndt-feature-reg (1.0.4-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:40:00 -0000

ros-indigo-ndt-feature-reg (1.0.3-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 18:26:00 -0000

ros-indigo-ndt-feature-reg (1.0.2-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 12:58:00 -0000

ros-indigo-ndt-feature-reg (1.0.1-0trusty) trusty; urgency=high



 -- Jari Saarinen <jari.p.saarinen@gmail.com>  Wed, 27 Nov 2013 11:33:00 -0000

=== debian/control ===
Source: ros-indigo-ndt-feature-reg
Section: misc
Priority: extra
Maintainer: Jari Saarinen <jari.p.saarinen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-laser-geometry, ros-indigo-ndt-map, ros-indigo-ndt-registration, ros-indigo-ndt-visualisation, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/ndt_feature_reg
Standards-Version: 3.9.2

Package: ros-indigo-ndt-feature-reg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-1.7-all-dev, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-laser-geometry, ros-indigo-ndt-map, ros-indigo-ndt-registration, ros-indigo-ndt-visualisation, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Description: ndt_feature_reg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ndt-feature-reg//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
